picard.illumina.parser

## Class PosParser

- java.lang.Object
- - picard.illumina.parser.PerTileParser<picard.illumina.parser.PositionalData>
  - - picard.illumina.parser.PosParser

-     public class PosParser
      extends PerTileParser<picard.illumina.parser.PositionalData>

  PosParser parses multiple files formatted as one of the three file formats that contain position information only (pos, locs, and clocs). This parser takes a map from tilesToFiles and a FileType enum value indicating whether or not these are POS,LOCS, or CLOCS files. The only client classes to this class should be IlluminaDataProvider and test classes. Check out AbstractIlluminaFileReader, PosFileReader, LocsFileReader, and ClocsFileReader for more information on Position related illumina files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PosParser(picard.illumina.parser.IlluminaFileMap tilesToFiles, IlluminaFileUtil.SupportedIlluminaFormat fileType)`
    `PosParser(picard.illumina.parser.IlluminaFileMap tilesToFiles, int startingTile, IlluminaFileUtil.SupportedIlluminaFormat fileType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected htsjdk.samtools.util.CloseableIterator<picard.illumina.parser.PositionalData>` | `makeTileIterator(File file)` Make an CloseableIterator<PositionalData> based on the given file and fileType specified at construction.
    `Set<IlluminaDataType>` | `supportedTypes()`

    - ### Methods inherited from class picard.illumina.parser.PerTileParser

      `close, getTileOfNextCluster, hasNext, maybeAdvance, next, remove, seekToTile, verifyData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### PosParser

          public PosParser(picard.illumina.parser.IlluminaFileMap tilesToFiles,
                           IlluminaFileUtil.SupportedIlluminaFormat fileType)

    - #### PosParser

          public PosParser(picard.illumina.parser.IlluminaFileMap tilesToFiles,
                           int startingTile,
                           IlluminaFileUtil.SupportedIlluminaFormat fileType)

  - ### Method Detail

    - #### makeTileIterator

          protected htsjdk.samtools.util.CloseableIterator<picard.illumina.parser.PositionalData> makeTileIterator(File file)

      Make an CloseableIterator<PositionalData> based on the given file and fileType specified at construction. This method wraps a reader in an iterator that converts it's output to the output format expected by IlluminaDataProvider (PositionalData).
      Specified by:
        `makeTileIterator` in class `PerTileParser<picard.illumina.parser.PositionalData>`
      Parameters:
        `file` - A file for the current tile being parsed
      Returns:
        An iterator over the PositionalData in that file.

    - #### supportedTypes

          public Set<IlluminaDataType> supportedTypes()